Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class CharSequence

Method Summary
`CharSequence` | `getAt(int index)` Support the subscript operator for CharSequence
`CharSequence` | `getAt(Range range)` Support the range subscript operator for CharSequence
`CharSequence` | `getAt(IntRange range)` Support the range subscript operator for CharSequence or StringBuffer with IntRange
`CharSequence` | `getAt(EmptyRange range)` Support the range subscript operator for CharSequence or StringBuffer with EmptyRange
`CharSequence` | `getAt(Collection indices)` Allows a List to be used as the indices to be used on a CharSequence

Method Detail

### getAt

    public CharSequence getAt(int index)

  Support the subscript operator for CharSequence.

Parameters:
  `index` - the index of the Character to get.
Returns:
  the Character at the given index

### getAt

    public CharSequence getAt(Range range)

  Support the range subscript operator for CharSequence

Parameters:
  `range` - a Range.
Returns:
  the subsequence CharSequence

### getAt

    public CharSequence getAt(IntRange range)

  Support the range subscript operator for CharSequence or StringBuffer with IntRange

Parameters:
  `range` - an IntRange.
Returns:
  the subsequence CharSequence

### getAt

    public CharSequence getAt(EmptyRange range)

  Support the range subscript operator for CharSequence or StringBuffer with EmptyRange

Parameters:
  `range` - an EmptyRange.
Returns:
  the subsequence CharSequence

### getAt

    public CharSequence getAt(Collection indices)

  Allows a List to be used as the indices to be used on a CharSequence

Parameters:
  `indices` - a Collection of indices.
Returns:
  a String of the values at the given indices

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK